package com.jjt.biz.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.TwinDeviceMapper;
import com.jjt.biz.domain.TwinDevice;
import com.jjt.biz.service.ITwinDeviceService;
import javax.annotation.Resource;

/**
 * 设备管理Service业务层处理
 *
 * @author wukai
 * @date 2025-01-15
 */
@Service
public class TwinDeviceServiceImpl implements ITwinDeviceService {
    @Resource
    private TwinDeviceMapper twinDeviceMapper;

    /**
     * 查询设备管理
     *
     * @param deviceId 设备管理主键
     * @return 设备管理
     */
    @Override
    public TwinDevice selectTwinDeviceByDeviceId(Long deviceId) {
        return twinDeviceMapper.selectTwinDeviceByDeviceId(deviceId);
    }

    /**
     * 查询设备管理列表
     *
     * @param twinDevice 设备管理
     * @return 设备管理
     */
    @Override
    public List<TwinDevice> selectTwinDeviceList(TwinDevice twinDevice) {
        return twinDeviceMapper.selectTwinDeviceList(twinDevice);
    }

    /**
     * 新增设备管理
     *
     * @param twinDevice 设备管理
     * @return 结果
     */
    @Override
    public int insertTwinDevice(TwinDevice twinDevice) {
            return twinDeviceMapper.insertTwinDevice(twinDevice);
    }

    /**
     * 修改设备管理
     *
     * @param twinDevice 设备管理
     * @return 结果
     */
    @Override
    public int updateTwinDevice(TwinDevice twinDevice) {
        return twinDeviceMapper.updateTwinDevice(twinDevice);
    }

    /**
     * 批量删除设备管理
     *
     * @param deviceIds 需要删除的设备管理主键
     * @return 结果
     */
    @Override
    public int deleteTwinDeviceByDeviceIds(Long[] deviceIds) {
        return twinDeviceMapper.deleteTwinDeviceByDeviceIds(deviceIds);
    }

    /**
     * 删除设备管理信息
     *
     * @param deviceId 设备管理主键
     * @return 结果
     */
    @Override
    public int deleteTwinDeviceByDeviceId(Long deviceId) {
        return twinDeviceMapper.deleteTwinDeviceByDeviceId(deviceId);
    }
    /**
     * 通过设备编号查询设备
     *
     * @param code 设备编号
     * @return 设备信息
     */
    @Override
    public TwinDevice selectTwinDeviceByCode(String code) {
        return twinDeviceMapper.selectTwinDeviceByCode(code);
    }

}
